SoComposeVec2f(3IV)

NAME
SoComposeVec2f — composes 2D vectors from floating-point values

INHERITS FROM
SoBase > SoFieldContainer > SoEngine > SoComposeVec2f

SYNOPSIS
#include <Inventor/engines/SoCompose.h>

Inputs from class SoComposeVec2f:

SoMFFloat
x
SoMFFloat
y

Outputs from class SoComposeVec2f:

(SoMFVec2f)
vector

Methods from class SoComposeVec2f:

SoComposeVec2f()

Methods from class SoEngine:

static SoType
getClassTypeId()
virtual int
getOutputs(SoEngineOutputList &list) const
SoEngineOutput *
getOutput(const SbName &outputName) const
SbBool
getOutputName(const SoEngineOutput *output, SbName &outputName) const
SoEngine *
copy() const
static SoEngine *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoEngineList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This engine takes two floating-point inputs and composes a 2D floating-point vector.

The input fields can have multiple values, allowing the engine to compose several vectors in parallel. One of the inputs may have more values than others. In such cases, the last value of the shorter input will be repeated as necessary.

INPUTS
SoMFFloat
x
The x component.

SoMFFloat
y
The y component.

OUTPUTS
(SoMFVec2f)
vector
Vector composed of x and y components.

METHODS

SoComposeVec2f()
Constructor

FILE FORMAT/DEFAULTS
ComposeVec2f {
x	0
y	0
}

SEE ALSO
SoDecomposeVec2f, SoEngineOutput